#include "ImgLoader.h"
#include "ImgSaver.h"
#include <locale.h>
int wmain(int argc, wchar_t** argv)
{
	setlocale(LC_ALL, "chs");
	CImageFactory imgFactory;

	//GdiplusϵͼƬ
	{
		//wchar_t *szImgTypes[] = { L"png", L"bmp", L"jpg", L"jpeg", L"tiff", L"gif", };
		wchar_t *szImgTypes[] = { L"png", L"bmp", L"jpg", L"tiff", L"gif", };
		int count = sizeof(szImgTypes) / sizeof(wchar_t*);
		for (int n = 0; n < count; n++)
		{
			imgFactory.RegisterLoader(TplClassOfLoader<CImgLoaderByGdiplus>(), szImgTypes[n]);
			imgFactory.RegisterSaver(TplClassOfSaver<CImgSaverByGdiplus>(), szImgTypes[n]);
		}
	}

	//ⲿ
	if (argc < 3)
	{
		printf( "imageConverter srcPath destPath [imgType]\n"
			"%-10s%s\n"
			"%-10s%s\n"
			"%-10s%s\n",
			"srcPath", "ͼƬ·input.png",
			"destPath", "ͼƬ·output.jpg",
			"[imgType]", "ѡ[bmp|png|jpg|jpeg|gif|tiff]ǿָͼƬ"
		);
		printf("˳...\n");
		getchar();
		return 0;
	}

	//ͼƬʽת
	Gdiplus::Image *pImg = imgFactory.InvokeLoader(argv[1]);
	imgFactory.InvokeSaver(argv[2], pImg, argv[3]);
	delete pImg;
	pImg = NULL;
    return 0;
}